org.modeshape.jcr.federation

## Class FederatedDocumentChanges.FederatedMixinChanges

- java.lang.Object
- - org.modeshape.jcr.federation.FederatedDocumentChanges.FederatedMixinChanges

- All Implemented Interfaces:
    DocumentChanges.MixinChanges
  Enclosing class:
    FederatedDocumentChanges

      protected class FederatedDocumentChanges.FederatedMixinChanges
      extends Object
      implements DocumentChanges.MixinChanges

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Name>` | `getAdded()` Returns the set of names of the mixins that have been added.
    `Set<Name>` | `getRemoved()` Returns the set of names of the mixins that have been removed.
    `boolean` | `isEmpty()` Checks if there are any changes to the mixins (removed/added)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `DocumentChanges.MixinChanges`
      Checks if there are any changes to the mixins (removed/added)
      Specified by:
        `isEmpty` in interface `DocumentChanges.MixinChanges`
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### getAdded

          public Set<Name> getAdded()

      Description copied from interface: `DocumentChanges.MixinChanges`
      Returns the set of names of the mixins that have been added.
      Specified by:
        `getAdded` in interface `DocumentChanges.MixinChanges`
      Returns:
        the set of node type names that were added as a mixin on this node; never null

    - #### getRemoved

          public Set<Name> getRemoved()

      Description copied from interface: `DocumentChanges.MixinChanges`
      Returns the set of names of the mixins that have been removed.
      Specified by:
        `getRemoved` in interface `DocumentChanges.MixinChanges`
      Returns:
        the set of node type names that were removed as a mixin on this node; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.